Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class AVTPartXPath

    java.lang.Object
      |
      +--weblogic.apache.xalan.templates.AVTPart
            |
            +--weblogic.apache.xalan.templates.AVTPartXPath

public class AVTPartXPath
extends AVTPart

Simple string part of a complex AVT.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`AVTPartXPath(java.lang.String val, PrefixResolver nsNode, XPathParser xpathProcessor, XPathFactory factory, XPathContext liaison)` Construct a simple AVT part.
`AVTPartXPath(XPath xpath)` Construct a simple AVT part.

Method Summary
`boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
`void` | `evaluate(XPathContext xctxt, FastStringBuffer buf, int context, PrefixResolver nsNode)` Write the value into the buffer.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`java.lang.String` | `getSimpleString()` Get the AVT part as the original string.

Methods inherited from class weblogic.apache.xalan.templates.AVTPart
`setXPathSupport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPartXPath

    public AVTPartXPath(XPath xpath)

  Construct a simple AVT part.

  Parameters:
    `xpath` - Xpath section of AVT

### AVTPartXPath

    public AVTPartXPath(java.lang.String val,
                        PrefixResolver nsNode,
                        XPathParser xpathProcessor,
                        XPathFactory factory,
                        XPathContext liaison)
                 throws javax.xml.transform.TransformerException

  Construct a simple AVT part.

  Parameters:
    `val` - A pure string section of an AVT.
    `nsNode` - An object which can be used to determine the Namespace Name (URI) for any Namespace prefix used in the XPath. Usually this is based on the context where the XPath was specified, such as a node within a Stylesheet.
    `xpathProcessor` - XPath parser
    `factory` - XPath factory
    `liaison` - An XPathContext object, providing infomation specific to this invocation and this thread. Maintains SAX output state, variables, error handler and so on, so the transformation/XPath object itself can be simultaneously invoked from multiple threads.
  Throws:
    javax.xml.transform.TransformerException - TODO: Fix or remove this unused c'tor.

Method Detail

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class AVTPart

### canTraverseOutsideSubtree

    public boolean canTraverseOutsideSubtree()

  Tell if this expression or it's subexpressions can traverse outside the current subtree.

  Returns:
    true if traversal outside the context node's subtree can occur.
  Overrides:
    canTraverseOutsideSubtree in class AVTPart

### getSimpleString

    public java.lang.String getSimpleString()

  Get the AVT part as the original string.

  Returns:
    the AVT part as the original string.
  Overrides:
    getSimpleString in class AVTPart

### evaluate

    public void evaluate(XPathContext xctxt,
                         FastStringBuffer buf,
                         int context,
                         PrefixResolver nsNode)
                  throws javax.xml.transform.TransformerException

  Write the value into the buffer.

  Parameters:
    `xctxt` - An XPathContext object, providing infomation specific to this invocation and this thread. Maintains SAX state, variables, error handler and so on, so the transformation/XPath object itself can be simultaneously invoked from multiple threads.
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    evaluate in class AVTPart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference